//
// CameraOrigin.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct CameraOrigin: Codable {

    public var cameraPositionX: Decimal?
    public var cameraPositionY: Decimal?
    public var planId: Int?
    public var planName: String?
    public var placeId: Int?
    public var placeName: String?
    public var placeDescription: String?
    public var placeLatitude: Decimal?
    public var placeLongitude: Decimal?

    public init(cameraPositionX: Decimal? = nil, cameraPositionY: Decimal? = nil, planId: Int? = nil, planName: String? = nil, placeId: Int? = nil, placeName: String? = nil, placeDescription: String? = nil, placeLatitude: Decimal? = nil, placeLongitude: Decimal? = nil) {
        self.cameraPositionX = cameraPositionX
        self.cameraPositionY = cameraPositionY
        self.planId = planId
        self.planName = planName
        self.placeId = placeId
        self.placeName = placeName
        self.placeDescription = placeDescription
        self.placeLatitude = placeLatitude
        self.placeLongitude = placeLongitude
    }

    public enum CodingKeys: String, CodingKey { 
        case cameraPositionX = "camera_position_x"
        case cameraPositionY = "camera_position_y"
        case planId = "plan_id"
        case planName = "plan_name"
        case placeId = "place_id"
        case placeName = "place_name"
        case placeDescription = "place_description"
        case placeLatitude = "place_latitude"
        case placeLongitude = "place_longitude"
    }

}
